<?php

/**
 * @file
 * Configuration of cache options.
 */
function conditional_message_config_form_cache($form, &$form_state) {

  $form['conditional_message_max_age'] = array(
    '#type' => 'textfield',
    '#title' => t('max-age header parameter'),
    '#default_value' => variable_get('conditional_message_max_age', 300),
    '#required' => FALSE,
    '#description' => t('Defines the maximum time in seconds to keep message in browser cache.
      During that time clients may not see changes done to the conditional message configuration.'),
  );

  $form['conditional_message'] = array(
    '#title' => t('Cache purging options'),
    '#type' => 'fieldset',
  );

  // Set caching options (TODO: add more caching options).
  $caching_options = ['drupal' => 'Drupal cache'];
  if (module_exists('acquia_purge')) {
    $caching_options['acquia'] = 'Acquia cloud';
  }

  $selected_caches = variable_get('conditional_message_cache_options', ['']);
  $form['conditional_message']['conditional_message_cache_options'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Select which caches to clear'),
    '#description' => t('The endpoint cache will be flushed for the selected caches every time the form is saved.'),
    '#options' => $caching_options,
    '#default_value' => $selected_caches,
    '#required' => FALSE,
  );

  return system_settings_form($form);
}
